/*!
 * @file gui_saveable.h
 * @brief Definition of ...
*/

#ifndef _GUI_SAVEABLE_H
#define _GUI_SAVEABLE_H

#include "base_object.h"
#include "multi_type.h"
#include <list>
#include <string>

// FORWARD DECLARATION


//! A class for ...
class GuiSaveable : virtual public BaseObject {

 public:
   virtual void load(const MultiType& value) = 0;
   virtual const MultiType& save() = 0;


protected:
  GuiSaveable();
  virtual ~GuiSaveable();

 private:
   MultiType       value;
};


class GuiGroup
{
  public:
    GuiGroup(const std::string& name);
    ~GuiGroup();
  private:

};


#endif /* _GUI_SAVEABLE_H */
